Bug 1239467 - erlang-jiffy: FTBFS in rawhide
Summary: erlang-jiffy: FTBFS in rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: erlang-jiffy
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Erlang SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F23FTBFS
TreeView+ depends on / blocked
 
Reported: 2015-07-05 20:54 UTC by Dennis Gilmore
Modified: 2016-01-31 18:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-31 18:31:10 UTC
Type: ---


Attachments (Terms of Use)
build.log (11.37 KB, text/plain)
2015-07-05 20:54 UTC, Dennis Gilmore
no flags Details
root.log (100.84 KB, text/plain)
2015-07-05 20:54 UTC, Dennis Gilmore
no flags Details
state.log (641 bytes, text/plain)
2015-07-05 20:54 UTC, Dennis Gilmore
no flags Details

Description Dennis Gilmore 2015-07-05 20:54:42 UTC
Your package erlang-jiffy failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=10087476

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

Comment 1 Dennis Gilmore 2015-07-05 20:54:45 UTC
Created attachment 1046719 [details]
build.log

Comment 2 Dennis Gilmore 2015-07-05 20:54:45 UTC
Created attachment 1046720 [details]
root.log

Comment 3 Dennis Gilmore 2015-07-05 20:54:46 UTC
Created attachment 1046721 [details]
state.log

Comment 4 Filip Andres 2015-07-08 09:37:38 UTC
Seems like some problem with the erlang package in fedora-rawhide:

[fila@gatonegro ~]$ mock -r fedora-rawhide-i386 --no-clean --shell
INFO: mock.py version 1.2.10 starting (python version = 2.7.8)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Finish: chroot init
Start: shell
<mock-chroot>sh-4.3# rpm -q erlang-erts
erlang-erts-17.4-3.fc23.i686
<mock-chroot>sh-4.3# erl
Erlang/OTP 17 [erts-6.3] [source] [smp:4:4] [async-threads:10] [hipe] [kernel-poll:false]

Eshell V6.3  (abort with ^G)
1> erlang:processes().
Segmentation fault (core dumped)


Couldn't replicate in a i686 virtual machine yet though.

Comment 5 Filip Andres 2015-07-08 11:28:01 UTC
Happens only without using SMP erlang in the mock:

<mock-chroot>sh-4.3# /usr/lib/erlang/erts-6.3/bin/beam.smp -- -root /usr/lib/erlang -progname erl -- -home / --
sh: line 0: exec: inet_gethost: not found
Erlang/OTP 17 [erts-6.3] [source] [smp:4:4] [async-threads:10] [hipe] [kernel-poll:false]

Eshell V6.3  (abort with ^G)
1> erlang:processes().
Segmentation fault (core dumped)
<mock-chroot>sh-4.3# /usr/lib/erlang/erts-6.3/bin/beam -- -root /usr/lib/erlang -progname erl -- -home / --
sh: line 0: exec: inet_gethost: not found
Erlang/OTP 17 [erts-6.3] [source] [async-threads:10] [hipe] [kernel-poll:false]

Eshell V6.3  (abort with ^G)
1> erlang:processes
1> ().
[<0.0.0>,<0.3.0>,<0.6.0>,<0.7.0>,<0.9.0>,<0.10.0>,<0.11.0>,
 <0.12.0>,<0.13.0>,<0.14.0>,<0.15.0>,<0.16.0>,<0.18.0>,
 <0.19.0>,<0.20.0>,<0.21.0>,<0.22.0>,<0.23.0>,<0.24.0>,
 <0.25.0>,<0.26.0>,<0.27.0>,<0.28.0>,<0.29.0>,<0.33.0>]
2>

Comment 6 Filip Andres 2015-07-08 12:47:13 UTC
Small correction: I can reproduce the core dump even in a VirtualBox machine (i386, running Fedora 22 with erlang from rawhide):

fila@localhost> erl -smp
Erlang/OTP 17 [erts-6.3] [source] [smp:1:1] [async-threads:10] [hipe] [kernel-poll:false]

Eshell V6.3  (abort with ^G)
1> erlang:processes().
Segmentation fault (core dumped)

Comment 7 Filip Andres 2015-07-08 13:33:12 UTC
Seems to me being caused by a glitch in erlang packaging. Reassigning to erlang@lists.fedoraproject.org.

Comment 8 Jan Kurik 2015-07-15 13:45:30 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 9 Filip Andres 2016-01-31 18:31:10 UTC
Rebuilt without tests, more in https://bugzilla.redhat.com/show_bug.cgi?id=1240487


Note You need to log in before you can comment on or make changes to this bug.